/* Header */
.site-header {
    position: absolute;
    width: 100%;
    z-index: 9998;
    transition: all 0.5s ease-in-out;
    padding: var(--section-base) 0;
}

.site-header .logo {
    display: block;
    max-width: 250px;
    transition: all 0.5s ease-in-out;
}

.site-header .menu-header {
    margin: 0;
    list-style: none;
    padding: 0;
}

.site-header .menu-header li {
    padding: 0 calc(var(--section-base) * 0.75);
}

.site-header .menu-header li a {
    position: relative;
    display: flex;
    align-items: center;
    transition: all 0.4s ease-in-out;
    font-size: var(--font-size-h6);
    color: var(--color-white);
}

.site-header .menu-header li a:hover {
    color: var(--color-thr);
}

.site-header .menu-header li.active>a {
    color: var(--color-thr);
}

.down .site-header {
    background-color: var(--color-pri);
}

.down .site-header {
    padding: calc(var(--section-base) * 0.5) 0;
}

.site-header .hamburger {
    cursor: pointer;
    z-index: 2;
}

.site-header .hamburger .line {
    width: 26px;
    height: 1px;
    background-color: var(--color-white);
    display: block;
    margin: 7px 0 7px auto;
    -webkit-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
    cursor: pointer;
}

.site-header .hamburger.hamburger-black .line,
.luminous-style .site-header .hamburger .line {
    background-color: var(--color-pri);
}

.site-header .logo img {
    transition: all 0.4s ease-in-out;
}

.down .site-header .logo img {
    width: 150px;
}

.site-header .menu-header-mobile {
    position: fixed;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    top: 0;
    width: 100%;
    height: 100vh;
    left: 0;
    background-color: #fff;
    -webkit-box-align: start;
    -ms-flex-align: start;
    align-items: flex-start;
    /* -webkit-transform: translateY(-10px);
    transform: translateY(-10px); */
    -webkit-transition: all .3s ease;
    transition: all .3s ease;
    opacity: 0;
    visibility: hidden;
    padding-right: 40px;
    padding: 30px 15px;
}

.site-header .menu-header-mobile .hamburger {
    margin-top: 23px;
}

.site-header .menu-header-mobile .hamburger .line {
    background-color: #645242;
    width: 30px;
}

.site-header .menu-header-mobile .hamburger .line:nth-child(2) {
    opacity: 0
}

.site-header .menu-header-mobile .hamburger .line:nth-child(1) {
    -webkit-transform: translateY(10.3px) rotate(45deg);
    transform: translateY(10.3px) rotate(45deg)
}

.site-header .menu-header-mobile .hamburger .line:nth-child(3) {
    -webkit-transform: translateY(-10.3px) rotate(-45deg);
    transform: translateY(-10.3px) rotate(-45deg)
}

.site-header .menu-header-mobile.open {
    -webkit-transform: translateY(0);
    transform: translateY(0);
    opacity: 1;
    visibility: visible;
}

.site-header .menu-header-mobile ul {
    list-style: none;
    padding: 0;
    margin: 0;
    text-align: center;
    padding-top: 120px;
}

.site-header .menu-header-mobile li {
    padding-bottom: 10px;
}

.site-header .menu-header-mobile li a {
    color: #000;
    text-decoration: none;
    position: relative;
    font-size: 34px;
    text-transform: capitalize;
}

.site-header .menu-header-mobile li a:hover {
    color: #645242;
}

.site-header .menu-header-mobile li a:after {
    content: "";
    display: block;
    position: absolute;
    height: 2px;
    background: #FFFFFF;
    bottom: -4px;
    left: 50%;
    transform: translateX(-50%);
    width: 0;
    transition: width 0.5s ease-in-out;
}

.site-header .menu-header-mobile li.active a:after,
.site-header .menu-header-mobile li a:hover:after {
    width: 100%;
}

.site-header .menu-header-mobile li.has-submenu ul {
    padding-top: 0px;
}

.site-header .menu-header-mobile li.has-submenu ul li a {
    font-size: 30px;
    opacity: 0.65;
}

.btn.header-btn {
    font-size: var(--font-size-h5);
    position: absolute;
    width: 25%;
    right: 0;
    top: 0;
    max-width: 350px;
    height: 100%;
    border-radius: 0;
    border: 0;
}

.btn.header-btn:hover {
    background-color: var(--color-thr);
}

.btn.header-btn img {
    width: var(--font-size-h6);
    height: var(--font-size-h6);
    margin-left: 10px;
}


.has-submenu>a::after {
    content: "";
    font-family: "bootstrap-icons";
    font-size: var(--font-size-tini);
    margin-left: 5px;
}

.has-submenu .submenu {
    position: absolute;
    margin-top: 30px;
    background: #fff;
    padding: 30px 20px;
}

.has-submenu .submenu .list {
    list-style: none;
    line-height: 2;
    margin: 0;
    padding: 0;
}

.megamenu .submenu {
    width: 100%;
    left: 0;
    padding: 50px 0;
}

.megamenu .submenu .menu-list {
    list-style: none;
    padding: 0;
    margin: 0;
}

.megamenu .submenu .menu-list li {
    margin-bottom: 20px;
    font-weight: 500;
    text-transform: uppercase;
}

.megamenu .submenu .room-item .img-wrap {
    padding-top: 120%;
    width: 100%;
}

.megamenu .submenu .icon01 {
    width: calc(var(--section-base) * 7);
}

.megamenu .submenu .menu-list a {
    width: 100%;
    justify-content: center;
}